local FriendLogic = require("friend.FriendLogic")

function CG_FRIEND_LIST(human)
	FriendLogic.sendFriendList(human)
end

function CG_FRIEND_RECOMMEND_LIST(human)
	FriendLogic.sendRecommend(human)
end

function CG_FRIEND_REQUEST_LIST(human)
	FriendLogic.sendRequestList(human)
end

function CG_FRIEND_ADD(human, msg)
	FriendLogic.addFriend(human, msg.uuid)
end

function CG_FRIEND_AGREE(human, msg)
	FriendLogic.agreeFriend(human, msg.uuid)
end

function CG_FRIEND_REFUSE(human, msg)
	FriendLogic.refuseFriend(human, msg.uuid)
end

function CG_FRIEND_REFUSE_ALL(human)
	FriendLogic.refuseFriendAll(human)
end

function CG_FRIEND_DEL(human, msg)
	FriendLogic.delFriend(human, msg.uuid)
end

function CG_FRIEND_HEARTONETOUCH(human)
	FriendLogic.getHeartOneTouch(human)
end

function CG_FRIEND_SENDHEART(human, msg)
	FriendLogic.sendFriendHeart(human, msg.uuid)
end

function CG_FRIEND_GETHEART(human, msg)
	FriendLogic.getFriendHeart(human, msg.uuid)
end

function CG_FRIEND_FIND(human,msg)
    FriendLogic.findFriend(human,msg.val)
end

function CG_FRIEND_AGREE_ALL(human)
	FriendLogic.CG_FRIEND_AGREE_ALL(human)
end

function CG_FRIEND_BLACK_QUERY(human)
	FriendLogic.CG_FRIEND_BLACK_QUERY(human)
end

function CG_FRIEND_BLACK_ADD(human,msg)
	FriendLogic.CG_FRIEND_BLACK_ADD(human,msg.uuid)
end

function CG_FRIEND_BLACK_DEL(human,msg)
	FriendLogic.CG_FRIEND_BLACK_DEL(human,msg.uuid)
end